Name:          unit-api
Version:       1.0
Release:       6
Summary:       JSR 363 - Units of Measurement API
License:       BSD
URL:           http://unitsofmeasurement.github.io/
Source0:       https://github.com/unitsofmeasurement/unit-api/archive/%{version}/unit-api-%{version}.tar.gz

BuildRequires: maven-local mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin) mvn(org.sonatype.oss:oss-parent:pom:)
BuildArch:     noarch

%description
The Unit of Measurement API provides a set of java language progranmming interfaces for handling units
and quantities.The interfaces provides a layer which separates client code,that would call the API,
from library code, which implements the API.

%package       help
Summary:       Javadoc for unit-api
Provides:      unit-api-javadoc = %{version}-%{release}
Obsoletes:     unit-api-javadoc < %{version}-%{release}

%description   help
This package contains javadoc for unit-api.

%prep
%autosetup -n unit-api-%{version} -p1
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

%pom_remove_plugin :coveralls-maven-plugin
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :formatter-maven-plugin
%pom_remove_plugin :jacoco-maven-plugin
%pom_remove_plugin :license-maven-plugin
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-pmd-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin

%pom_remove_plugin :maven-jar-plugin
%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin:'${maven.jar.version}' . "
<executions>
   <execution>
      <goals>
         <goal>test-jar</goal>
      </goals>
   </execution>
</executions>"
%pom_remove_plugin :maven-bundle-plugin
%pom_add_plugin org.apache.felix:maven-bundle-plugin:'${felix.version}' . "
<extensions>true</extensions>
<configuration>
  <instructions>
    <Specification-Title>\${project.name}</Specification-Title>
    <Specification-Version>\${project.version}</Specification-Version>
    <Specification-Vendor>\${project.organization.name}</Specification-Vendor>
    <Implementation-Vendor>Unit-API contributors</Implementation-Vendor>
    <Implementation-URL>\${project.organization.url}</Implementation-URL>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>"

%mvn_file  : unit-api
%mvn_file :unit-api:tests: unit-api-tests
%mvn_package :unit-api:tests: unit-api

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files help -f .mfiles-javadoc
%doc README.md

%changelog
* Wed Apr 15 2020 zhangtao <zhangtao221@huawei.com> - 1.0-6
- Package init
